Bug 1017059 - After :server-set-restart-required operation web console shows reload required message
After :server-set-restart-required operation web console shows reload require...
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ER1
: EAP 6.4.0
Assigned To: Heiko Braun
Pavel Jelinek
Depends On:
Blocks: 1176535
  Show dependency treegraph
Reported: 2013-10-09 04:25 EDT by Ondrej Chaloupka
Modified: 2017-10-09 20:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-438 Major Resolved Reload/Restart required messages 2017-08-15 08:25 EDT

  None (edit)
Description Ondrej Chaloupka 2013-10-09 04:25:28 EDT
When you run operation :server-set-restart-required() under the response header is then
"response-headers" => {"process-state" => "restart-required"}

(in in contrast to the response header after reload needed operation looks like:
"response-headers" => {"process-state" => "reload-required"})

But the web console shows message 
"A server reload is required!"

This should be differentiate to user know whether reload or restart is needed. The console should show clear info that server is needed to be restarted.

In fact the whole info message is a bit strange (when you click on its detail in the right top corner). It's said:
Wed Oct 09 10:12:20 GMT+200 2013
A server reload is required!
Restart Required
 - Standlone Server
is it mean that reload or restart is required? It should be nice to have the message a bit clearer.
Comment 1 JBoss JIRA Server 2014-07-03 03:24:07 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-438 to Resolved
Comment 2 Pavel Jelinek 2014-11-26 04:30:57 EST
Should this still remain in POST state?
Comment 3 Jakub Cechacek 2014-12-05 05:27:15 EST
Setting up missing flags and target release
Comment 4 Jakub Cechacek 2014-12-09 07:04:55 EST
Simply changing the message to "The server configuration needs to be reloaded or the server restarted!" does not change anything as it is still not clear what action is required. 

It is also confusing because of the "Reload" button which is displayed. It leads user to think that reloading the server will help and then when the action is performed and nothing changes it may look like something is wrong.
Comment 5 Pavel Jelinek 2015-01-15 06:27:34 EST
Verified for EAP 6.4.0.ER1

Note You need to log in before you can comment on or make changes to this bug.